package com.simonstl.fragment;

import java.util.*;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* Each FragmentRule describes a regular expression and the results of the fragmentation
* it produces, described as a series of child elements.
*
* Currently, the series is a simple list.  Eventually it may provide for collections
* (appropriate for the HTML style element and some SVG) and for attribute results.
*
* Rules currently don't keep track of which elements they apply to.  This may change in 
* future versions.
*
* @version 0.01 21 June 2001
* @author Simon St.Laurent
*/


public class FragmentRule {
    public String matchRegEx;
    public ArrayList results;

public FragmentRule (String regEx) {
    matchRegEx=regEx;
    results=new ArrayList();
}

public FragmentRule (String regEx, ArrayList endResults) {
    matchRegEx=regEx;
    results=endResults;
}

public void print() {
System.out.println("match against:"+matchRegEx);
  int size=results.size();
  for (int i=0; i<size; i++){
    Element currentElement=(Element)results.get(i);
    String currentElementName=currentElement.toString();
System.out.println("produces: " + currentElementName);
  }
}

public void addResult (Element resultElement) {
    results.add(resultElement);
}


}